Summary:	GNU international fonts
Summary(pl.UTF-8):	Międzynarodowe fonty GNU
Name:		intlfonts
Version:	1.2.1
Release:	6
License:	GPL
Group:		Fonts
Source0:	http://ftp.gnu.org/gnu/intlfonts/%{name}-%{version}.tar.gz
# Source0-md5:	d77e9c4ec066a985687e5c67992677e4
Patch0:		%{name}-Chinese.patch
Patch1:		%{name}-dirs.patch
Patch2:		%{name}-x_fonts.patch
URL:		http://www.gnu.org/directory/GNU/intlfonts.html
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	t1utils
BuildRequires:	type1inst
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		ttffontsdir	%{_fontsdir}/TTF
%define		t1fontsdir	%{_fontsdir}/Type1
%define		t1afmdir	%{t1fontsdir}/afm

%description
This package contains some common used fonts.

%description -l pl.UTF-8
Ten pakiet zawiera trochę powszechnie używanych fontów.

%package arabic
Summary:	International fonts for X -- Arabic
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - arabskie
Group:		Fonts
Requires:	%{name}
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Misc

%description arabic
This package includes some Arabic fonts (digits and single and double
column).

%description arabic -l pl.UTF-8
Ten pakiet zawiera trochę arabskich fontów (cyfry i pojedyncze oraz
podwójne kolumny).

%package asian
Summary:	International fonts for X -- Asian
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - azjatyckie
Group:		Fonts
Requires(post,postun):	fontpostinst

%description asian
This package includes some Vietnamese, Indian, Lao, and Thai fonts.

%description asian -l pl.UTF-8
Ten pakiet zawiera trochę fontów wietnamskich, indyjskich, laoskich i
tajskich.

%package chinese
Summary:	International fonts for X -- Chinese
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - chińskie
Group:		Fonts
Requires(post,postun):	fontpostinst

%description chinese
This package includes some GB2312, GB8565-88, BIG5 (ETen), and SiSheng
Chinese fonts.

%description chinese -l pl.UTF-8
Ten pakiet zawiera trochę chińskich fontów GB2312, GB8565-88, BIG5
(ETen) oraz SiSheng.

%package ethiopic
Summary:	International fonts for X -- Ethiopic
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - etiopskie
Group:		Fonts
Requires(post,postun):	fontpostinst

%description ethiopic
This package includes Unicode Ethiopic fonts.

%description ethiopic -l pl.UTF-8
Ten pakiet zawiera unikodowe fonty etiopskie.

%package european
Summary:	International fonts for X -- European
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - europejskie
Group:		Fonts
Requires(post,postun):	fontpostinst

%description european
This package includes some ISO 8859-1 (Latin-1), ISO 8859-2 (Latin-2),
ISO 8859-3 (Latin-3), ISO 8859-4 (Latin-4), ISO 8859-5 (Cyrillic),
ISO 8859-7 (Greek), ISO 8859-8 (Hebrew), ISO 8859-9 (Latin-5), and KOI
(Cyrillic) fonts.  Also one ISO 8859-1 big font is included.

%description european -l pl.UTF-8
Ten pakiet zawiera trochę fontów ISO 8859-1 (Latin-1), ISO 8859-2
(Latin-2), ISO 8859-3 (Latin-3), ISO 8859-4 (Latin-4), ISO 8859-5
(cyrilica), ISO 8859-7 (greckie), ISO 8859-8 (hebrajkie), ISO 8859-9
(Latin-5) oraz KOI (cyrylica). Jest też dołączony jeden duży font ISO
8859-1.

%package hebrew
Summary:	International fonts for X -- Hebrew
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - hebrajskie
Group:		Fonts
Requires:	%{name}
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Misc

%description hebrew
This package includes some Hebrew fonts.

%description hebrew -l pl.UTF-8
Ten pakiet zawiera trochę fontów hebrajskich.

%package japanese
Summary:	International fonts for X -- Japanese
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - japońskie
Group:		Fonts
Requires(post,postun):	fontpostinst

%description japanese
This package includes some JISX0208.1990, JISX0208.1978, JISX0212.1990
(HojoKanji), JISX0208.1983, and JISX0201 (Roman & Kana) Japanese
fonts.

%description japanese -l pl.UTF-8
Ten pakiet zawiera trochę japońskich fontów JISX0208.1990,
JISX0208.1978, JISX0212.1990 (HojoKanji), JISX0208.1983 oraz JISX0201
(Roman i Kana).

%package korean
Summary:	International fonts for X -- Korean
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - koreańskie
Group:		Fonts
Requires(post,postun):	fontpostinst

%description korean
This package includes some KSC5601 Korean fonts.

%description korean -l pl.UTF-8
Ten pakiet zawiera trochę koreańskich fontów KSC5601.

%package phonetic
Summary:	International fonts for X -- Phonetic Alphabet
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - alfabet fonetyczny
Group:		Fonts
Requires:	%{name}
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Misc

%description phonetic
This package includes some fonts of International Phonetic Alphabet.

%description phonetic -l pl.UTF-8
Ten pakiet zawiera trochę fontów dla międzynarodowego alfabetu
fonetycznego.

%package TrueType
Summary:	International fonts for X -- TrueType
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - TrueType
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/TTF

%description TrueType
This package includes some TrueType fonts.

%description TrueType -l pl.UTF-8
Ten pakiet zawiera trochę fontów TrueType.

%package Type1
Summary:	International fonts for X -- Type1
Summary(pl.UTF-8):	Międzynarodowe fonty dla X - Type1
Group:		Fonts
Requires(post,postun):	fontpostinst >= 0.1-6
Requires:	%{_fontsdir}/Type1

%description Type1
This package includes some Type1 fonts.

%description Type1 -l pl.UTF-8
Ten pakiet zawiera trochę fontów Type1.

%package emacs
Summary:	Fonts to allow multi-lingual PostScript printing from Emacs
Summary(pl.UTF-8):	Fonty pozwalające na drukowanie wielojęzycznego PostScriptu z Emacsa
Group:		Applications/Editors/Emacs
Requires:	emacs-common

%description emacs
This package includes BDF fonts to print Amharic, Arabic, Cantonese,
Chinese, Czech, Danish, Esperanto, Estonian, Finnish, French, German,
Greek, Hebrew, Hindi, Italian, Japanese, Korean, Maltese, Nederlands,
Norwegian, Polish, Russian, Slovak, Spanish, Swedish, Thai, Tigrigna,
Turkish and Vietnamese text as bit-mapped PostScript.  To see these
languages in X, you can use the intlfonts-* packages (among others).

%description emacs -l pl.UTF-8
Ten pakiet zawiera fonty BDF pozwalające na drukowanie do bitmapowego
PostScriptu tekstów w językach: amharskim, arabskim, kantońskim,
chińskim, czeskim, duńskim, esperanto, estońskim, fińskim, francuskim,
niemieckim, greckim, hebrajskim, hindi, włoskim, japońskim,
koreańskim, maltańskim, holenderskim, norweskim, polskim, rosyjskim,
słowackim, hiszpańskim, szwedzkim, tajskim, tigrinia, tureckim i
wietnamskim. Aby zobaczyć te języki pod X, można użyć pakietów
intlfonts-* (i innych).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./configure \
	--with-fontdir=$RPM_BUILD_ROOT%{_fontsdir} \
	--enable-compress \
	--with-type1 \
	--with-truetype \
	--without-bdf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/emacs/fonts/bdf

%{__make} install

install -d $RPM_BUILD_ROOT%{t1afmdir}
mv -f $RPM_BUILD_ROOT%{t1fontsdir}/*.afm $RPM_BUILD_ROOT%{t1afmdir}
rm -f $RPM_BUILD_ROOT%{t1fontsdir}/*.pfa

mv -f $RPM_BUILD_ROOT%{_fontsdir}/TrueType $RPM_BUILD_ROOT%{ttffontsdir}

mv -f $RPM_BUILD_ROOT%{_fontsdir}/European/fonts.alias{,.-intlfonts}

cd $RPM_BUILD_ROOT%{t1fontsdir}
/usr/bin/type1inst
tail -n +2 fonts.scale > fonts.scale.intl
mv -f Fontmap Fontmap.intl
cd -

install -m 644 `find -name '*.bdf'` $RPM_BUILD_ROOT%{_datadir}/emacs/fonts/bdf/

%clean
rm -rf $RPM_BUILD_ROOT

%post arabic
fontpostinst misc %{_fontsdir}/Misc

%postun arabic
fontpostinst misc %{_fontsdir}/Misc

%post asian
fontpostinst misc %{_fontsdir}/Asian

%postun asian
fontpostinst misc %{_fontsdir}/Asian

%post chinese
fontpostinst misc %{_fontsdir}/Chinese

%postun chinese
fontpostinst misc %{_fontsdir}/Chinese

%post ethiopic
fontpostinst misc %{_fontsdir}/Ethiopic

%postun ethiopic
fontpostinst misc %{_fontsdir}/Ethiopic

%post european
fontpostinst misc %{_fontsdir}/European

%postun european
fontpostinst misc %{_fontsdir}/European

%post hebrew
fontpostinst misc %{_fontsdir}/Misc

%postun hebrew
fontpostinst misc %{_fontsdir}/Misc

%post japanese
fontpostinst misc %{_fontsdir}/Japanese

%postun japanese
fontpostinst misc %{_fontsdir}/Japanese

%post korean
fontpostinst misc %{_fontsdir}/Korean

%postun korean
fontpostinst misc %{_fontsdir}/Korean

%post phonetic
fontpostinst misc %{_fontsdir}/Misc

%postun phonetic
fontpostinst misc %{_fontsdir}/Misc

%post TrueType
fontpostinst TTF

%postun TrueType
fontpostinst TTF

%post Type1
fontpostinst Type1

%postun Type1
fontpostinst Type1

%files
%defattr(644,root,root,755)
%dir %{_fontsdir}/Misc
%dir %{_fontsdir}/Misc/bmp*

%files arabic
%defattr(644,root,root,755)
%{_fontsdir}/Misc/arab*pcf.gz

%files asian
%defattr(644,root,root,755)
%{_fontsdir}/Asian

%files chinese
%defattr(644,root,root,755)
%{_fontsdir}/Chinese

%files ethiopic
%defattr(644,root,root,755)
%{_fontsdir}/Ethiopic

%files european
%defattr(644,root,root,755)
%{_fontsdir}/European

%files hebrew
%defattr(644,root,root,755)
%{_fontsdir}/Misc/heb*pcf.gz

%files japanese
%defattr(644,root,root,755)
%{_fontsdir}/Japanese

%files korean
%defattr(644,root,root,755)
%{_fontsdir}/Korean

%files phonetic
%defattr(644,root,root,755)
%{_fontsdir}/Misc/ipa*pcf.gz

%files TrueType
%defattr(644,root,root,755)
%{_fontsdir}/TTF/*

%files Type1
%defattr(644,root,root,755)
%{_fontsdir}/Type1/*.pfb
%{_fontsdir}/Type1/*.intl
%{_fontsdir}/Type1/afm/*

%files emacs
%defattr(644,root,root,755)
%{_datadir}/emacs/fonts
%changelog
* Sun Oct 07 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/intlfonts.git;a=log;h=master

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> cda1c50
- release 6 (by relup.sh)

* Sat Nov 29 2008 Jakub Bogusz <qboosh@pld-linux.org> d4919a8
- c/p

* Mon Nov 24 2008 Szymon Siwek <sls@pld-linux.org> 1da45f9
- added x_fonts.patch
- korean subpackage added
- rel. 5

* Mon Nov 24 2008 Szymon Siwek <sls@pld-linux.org> cc605a4
- install fonts from foolang.X to foolang directory

* Mon Nov 24 2008 Szymon Siwek <sls@pld-linux.org> 2adfbd6
- rename fonts.alias (fontpostinst messes with fonts.alias files)

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 7bfd4c7
- unify ftp.gnu.org urls

* Sat Nov 03 2007 Szymon Siwek <sls@pld-linux.org> 44f29fd
- xorg deps
- info about unpackaged files

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 6f00ba8
- rel 4
- finally got emacs fonts right

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 3da55d5
- rel 3
- fixed files

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 86481b2
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 124a368
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3e5d029
- converted to UTF-8

* Mon Jan 05 2004 Jakub Bogusz <qboosh@pld-linux.org> f37c632
- use modern POSIX-compliant head/tail syntax

* Wed Dec 10 2003 Jacek Konieczny <jajcus@pld-linux.org> 1d2fc3b
- directory passed to fontpostinst should be absolute

* Fri Jul 18 2003 Tomasz Pala <gotar@pld-linux.org> 0680d38
- upgraded to 1.2.1

* Wed Jun 25 2003 Tomasz Pala <gotar@pld-linux.org> 6de7399
- release 2

* Wed Jun 25 2003 Tomasz Pala <gotar@pld-linux.org> c6f4944
- switched post/postun to fontpostinst
- packages require directory in which they have fonts

* Mon Jun 23 2003 wrobell <wrobell@pld-linux.org> 95655f9
- s#X11/Fonts#Fonts#

* Wed May 28 2003 Michal Moskal <michal@moskal.me> ab86fed
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 70661bd
- massive attack s/pld.org.pl/pld-linux.org/

